// http://blog.theknightsofunity.com/monobehavior-calls-optimization/
using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class BoxManager : MonoBehaviour {
	public static BoxManager Instance { get; private set; }
	public List<BoxManaged> _managedBoxes = new List<BoxManaged>();

	void Awake(){
		Instance = this;
	}

	void Update(){
		for (int i = 0; i < _managedBoxes.Count; ++i){
			_managedBoxes[i]._Update();
		}
	}

	public void Register(BoxManaged box){
		_managedBoxes.Add(box);
	}

	public void Unregister(BoxManaged box){
		_managedBoxes.Remove(box);
	}
}
