// ************************************************************************************************************
//  (c) ZJP                                                                               Parallele Thread Test
// ************************************************************************************************************

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Threading;
using System.Runtime.InteropServices; // DLL !!!

public class testTHREAD_JOB_NEW : MonoBehaviour {

	public int threadsToLaunch = 512;
	[Range(0,2)] public int CoreToPreserv = 1; // Nombre de CPUs non utilisés par les threads
	private bool[] abortTH; // 
	private int[] jobEndTH; // 
	private int[] cpuMask;  // Masque Binaire des CPUs disponibles
	private int[] cpuID;    // Tableau des relations Thread => Cpu Disponibles
	private int MaxCoreToUse = 0;     // Nombre de CPUs utilisés par les threads
	private int countThreadEnded = 0; // Le compte des Threads terminés.

	// ****************************************************************************************** Windows 32/64
	[DllImport("kernel32.dll")] static extern int GetCurrentThread();
	[DllImport("kernel32.dll")] static extern int SetThreadAffinityMask(int hThread, int dwThreadAffinityMask);
	[DllImport("kernel32.dll")] static extern int GetCurrentProcessorNumber();
	// ****************************************************************************************** Windows 32/64

	void Start() {
		Application.runInBackground = true;

		// ************************************************************************************** Windows 32/64
		// *************************************************** Fabrication Masque Binaire des CPU/Core utilisés
		MaxCoreToUse = System.Environment.ProcessorCount - CoreToPreserv;
		Debug.Log("Cores disponibles : " + MaxCoreToUse);
		cpuMask = new int[MaxCoreToUse];
		cpuID   = new int[threadsToLaunch];
		for (int i = 0; i < MaxCoreToUse; i++) cpuMask[i] =  1 << (i + CoreToPreserv);
		// ****************************************************** Fabrication du tableau Nbr Thread => Cpu/Core
		int j = 0;
		for (int i = 0; i < threadsToLaunch; i++) {
			cpuID[i] = cpuMask[j];
			j++;
			if (j > MaxCoreToUse - 1) j = 0;
		}
		// ************************************************************************************** Windows 32/64

		abortTH  = new bool[threadsToLaunch];
		jobEndTH = new int[threadsToLaunch];

		for (int i = 0; i < threadsToLaunch; i++) {           
			ParameterizedThreadStart pts = new ParameterizedThreadStart(ThreadJobFunction);
			Thread jobThread       = new System.Threading.Thread(pts);
			jobThread.Priority     = System.Threading.ThreadPriority.Highest; // AboveNormal, BelowNormal, Highest, Lowest, Normal
			jobThread.IsBackground = true;
			abortTH[i]  = false; // "Disjoncteur" de fin de Thread
			jobEndTH[i] = 0; 
			jobThread.Start(i); // Numero du Thread en Param
		}
	}

	void FixedUpdate() {
		// TOUT les thread sont terminés ? *******************************************
		countThreadEnded = 0;
		for (int i = 0; i < threadsToLaunch; i++) countThreadEnded += jobEndTH[i];
		if (countThreadEnded == threadsToLaunch) // OUI !!!
		{
			Debug.Log("All thread Done...");
			// EXPLOITATION EVENTUELLE DES JOBS *************
			//
			// EXPLOITATION EVENTUELLE DES JOBS *************
			
			// on remet ça **********************************
			for (int i = 0; i < threadsToLaunch; i++) {
				jobEndTH[i] = 0; // ReStart all Job/Thread
			}
		}
		// TOUT les thread sont terminés ? *******************************************
	}

	void OnApplicationQuit() {
		// on arrete tout les threads 
		for (int i = 0; i < threadsToLaunch; i++) {
			abortTH[i] = true;
		}
	}

	private void ThreadJobFunction(object threadParams) {
		int threadNumber = (int)threadParams; // numero du Thread
		Debug.Log("Enter Thread Num " + threadNumber );

		// ************************************************************* Windows 32/64
		SetThreadAffinityMask(GetCurrentThread(), cpuID[threadNumber]); // thread=>cpu
		Debug.Log("Cpu Utilisé > " + GetCurrentProcessorNumber()); //  Vérification ^^
		// ************************************************************* Windows 32/64

		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		again:
		// attente de validation/lancement du thread
		while (jobEndTH[threadNumber] == 1) {
			if (abortTH[threadNumber]) return; // fin du thread par fin de l'appli
			Thread.Sleep(1);
		}
		//Debug.Log("Thread Num " + threadNumber + " Started/ReStarted !!!!!!!!!!!!! ");

		// ******************************************************************** JOB !!!
		// ******************************************************************** JOB !!!
//		int a = 2000000000; // Big job ^^
		int a = 2; // Works very well even on VERY SMALL jobs...
		while (a > 1) {
			if (abortTH[threadNumber]) return; // fin du thread par fin de l'appli
			a--;
		}
		// ******************************************************************** JOB !!!
		// ******************************************************************** JOB !!!

		jobEndTH[threadNumber] = 1; // Job done
		//Debug.Log("Thread Num " + threadNumber + " Completed ");

		goto again; // ^^ yes, Goto...
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}

}
// ************************************************************************************************************
//  (c) ZJP                                                                               Parallele Thread Test
// ************************************************************************************************************
